create view public.v_registration as
select p.pk,
		   p.forename,
		   p.surname,
		   p.street,
		   p.zip,
		   p.city,
		   p.phone,
		   p.birthdate,
		   p.camprole,
		   p.email,
		   (c.name || date_part('isoyear'::text, c.arrive)) as campname
from public.t_person p
left join public.t_camp c on c.pk = p.fk_camp;
